ServerError (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi
Class ServerError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.rmi.RemoteException
                              |
                              +--java.rmi.ServerError

All Implemented Interfaces:
  Serializable

public class ServerError
extends RemoteException

A `ServerError` is thrown as a result of a remote method invocation when an `Error` is thrown while processing the invocation on the server, either while unmarshalling the arguments, executing the remote method itself, or marshalling the return value. A `ServerError` instance contains the original `Error` that occurred as its cause.

Since:
  JDK1.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`ServerError(String s, Error err)` Constructs a `ServerError` with the specified detail message and nested error.

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerError

    public ServerError(String s,
                       Error err)

  Constructs a `ServerError` with the specified detail message and nested error.

Parameters:
  `s` - the detail message
  `err` - the nested error
Since:
  JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.